<?php

namespace ExceptionHandle;

use Psr\Http\Message\ServerRequestInterface;
use Slim\Exception\HttpSpecializedException;
use Throwable;

class PDOError extends HttpSpecializedException {

    protected $code = 408;
    protected string $title = "PDO connection failed";
    protected $message =  "The connection method throw a PDO Exception, connection to database failed";

    public function __construct(ServerRequestInterface $request,?Throwable $previous = null)
    {
        parent::__construct($request, $this->message, $previous);
    }

}